export declare enum AuthType {
    email = "email",
    phone = "phone",
    facebook = "facebook",
    google = "google",
    apple = "apple",
    twitter = "twitter",
    discord = "discord",
    github = "github",
    twitch = "twitch",
    microsoft = "microsoft",
    linkedin = "linkedin",
    jwt = "jwt",
    telegram = "telegram"
}
export type SocialAuthType = 'facebook' | 'google' | 'apple' | 'twitter' | 'discord' | 'github' | 'twitch' | 'microsoft' | 'linkedin';
export interface LoginWithSocial {
    authType: SocialAuthType;
    redirectUrl?: string;
    appState?: string;
    prompt?: 'none' | 'consent' | 'select_account';
}
export declare const isSocialAuthType: (authType: any) => authType is SocialAuthType;
