import type { Chain } from 'viem/chains';
import type { Base58String } from '../api/types';
import type { AuthType, SocialAuthType } from './../api/authType';
export type E164Phone = string;
export type EthereumAuthorization = {
    uniq: boolean;
};
export type SolanaAuthorization = {
    message: Base58String;
} & EthereumAuthorization;
export type Authorization = EthereumAuthorization | SolanaAuthorization;
export type LoginAuthorization = {
    authorization: Authorization;
    chain: Chain;
};
export interface ConnectWithPhoneParam {
    phone: E164Phone;
    code?: string;
}
export interface ConnectWithEmailParam {
    email?: string;
    code?: string;
}
export interface ConnectWithProvider {
    provider: AuthType.jwt | AuthType.telegram;
    thirdpartyCode: string;
}
export type ConnectWithSocialParam = {
    socialType: SocialAuthType;
    code?: string;
    nonce?: string;
    prompt?: 'none' | 'consent' | 'select_account';
};
export type ConnectParam = (ConnectWithPhoneParam | ConnectWithEmailParam | ConnectWithProvider | ConnectWithSocialParam) & {
    chain?: Chain;
    authorization?: Authorization;
};
